Bug 1436032 - dma driver causes boot issues in a number of circumstances
Summary: dma driver causes boot issues in a number of circumstances
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bcm283x-firmware
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException AcceptedBlocker
Depends On:
Blocks: ARMTracker F26AlphaBlocker F26AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-03-26 22:42 UTC by Peter Robinson
Modified: 2017-04-10 12:45 UTC (History)
8 users (show)

Fixed In Version: bcm283x-firmware-20170324-1.76fc4dd.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-30 19:24:22 UTC


Attachments (Terms of Use)

Description Peter Robinson 2017-03-26 22:42:45 UTC
In recent time we started putting the bcm2835-dma in the initrd because it offered a substancial bump in performance but it seems this has caused as many issues as the performance bump it provides including non booting devices.

This should be dropped until the problems are worked out.

It affects both the Raspberry Pi 2 and 3 in a number of situations that aren't fully known yet.

Comment 1 Peter Robinson 2017-03-27 07:45:45 UTC
This has been submitted as an update, seems bodhi hasn't updated the bug 

https://bodhi.fedoraproject.org/updates/FEDORA-2017-6139efd06a

Comment 2 Fedora Blocker Bugs Application 2017-03-27 07:47:15 UTC
Proposed as a Blocker for 26-alpha by Fedora user pbrobinson using the blocker tracking app because:

 Raspberry Pi is a key ARMv7 platform device. Fix is in place so shouldn't slip, doesn't impact other ARM devices or the rest of the distro

Comment 3 Stephen Gallagher 2017-03-27 14:16:00 UTC
(In reply to Fedora Blocker Bugs Application from comment #2)
> Proposed as a Blocker for 26-alpha by Fedora user pbrobinson using the
> blocker tracking app because:
> 
>  Raspberry Pi is a key ARMv7 platform device. Fix is in place so shouldn't
> slip, doesn't impact other ARM devices or the rest of the distro

Peter, could you identify which criterion on https://fedoraproject.org/wiki/Fedora_26_Alpha_Release_Criteria you feel this is violating? Otherwise, this sounds more like a Freeze Exception request.

Comment 4 Paul Whalen 2017-03-27 14:30:42 UTC
Some users are reporting a kernel oops on the Raspberry Pi 3, a supported hardware platform. Citing criteria "Release-blocking ARM disk images must boot to the initial-setup utility."

Comment 5 Stephen Gallagher 2017-03-27 14:46:20 UTC
It seems pretty harmless; I'm in favor of granting it at LEAST an FE and getting it into the compose that's about to kick off.

Comment 6 Stephen Gallagher 2017-03-27 14:47:28 UTC
(In reply to Stephen Gallagher from comment #5)
> It seems pretty harmless; I'm in favor of granting it at LEAST an FE and
> getting it into the compose that's about to kick off.

That should have read: "The fix seems pretty harmless"

Comment 7 Mike Ruckman 2017-03-27 14:49:02 UTC
+1 FE since the change won't impact other things.

Comment 8 Nick Bebout 2017-03-27 14:50:58 UTC
+1 FE

Comment 9 Paul Whalen 2017-03-27 14:52:33 UTC
+1 FE/blocker , change is self contained

Comment 10 Adam Williamson 2017-03-27 15:41:49 UTC
+1 blocker for me, if Pi 3 is a supported ARM platform and this breaks boot on it, seems pretty straightforward.

Comment 11 Geoffrey Marr 2017-03-27 17:10:17 UTC
Discussed during the 2017-03-27 blocker review meeting: [1]

The decision was made to classify this bug as an AcceptedBlocker as it violates the following Alpha criteria:

"All release-blocking images must boot in their supported configurations."

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-03-27/f26-blocker-review.2017-03-27-16.01.txt

Comment 12 Fedora Update System 2017-03-27 19:21:21 UTC
bcm283x-firmware-20170324-1.76fc4dd.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6139efd06a

Comment 13 Fedora Update System 2017-03-30 19:24:22 UTC
bcm283x-firmware-20170324-1.76fc4dd.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Peter Robinson 2017-04-10 12:45:44 UTC
clearing needinfo


Note You need to log in before you can comment on or make changes to this bug.